=== added directory 'hr_payroll_cancel'
=== added file 'hr_payroll_cancel/__init__.py'
--- hr_payroll_cancel/__init__.py	1970-01-01 00:00:00 +0000
+++ hr_payroll_cancel/__init__.py	2014-02-27 23:23:07 +0000
@@ -0,0 +1,25 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2014 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Luis Torres (luis_t@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################

=== added file 'hr_payroll_cancel/__openerp__.py'
--- hr_payroll_cancel/__openerp__.py	1970-01-01 00:00:00 +0000
+++ hr_payroll_cancel/__openerp__.py	2014-02-27 23:23:07 +0000
@@ -0,0 +1,47 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2014 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Luis Torres (luis_t@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name" : "Hr Payroll Cancel",
+    "version" : "1.0",
+    "author" : "Vauxoo",
+    "category" : "Localization/Mexico",
+    "description" : """
+    This module change the workflow from hr.payslip to can cancel after to confirm this
+    """,
+    "website" : "http://www.vauxoo.com/",
+    "license" : "AGPL-3",
+    "depends" : [
+        "hr_payroll",
+        ],
+    "data" : [
+        "hr_payslip_view.xml",
+        "hr_payslip_workflow.xml",
+        ],
+    "test": [],
+    "installable" : True,
+    "active" : False,
+}

=== added file 'hr_payroll_cancel/hr_payslip_view.xml'
--- hr_payroll_cancel/hr_payslip_view.xml	1970-01-01 00:00:00 +0000
+++ hr_payroll_cancel/hr_payslip_view.xml	2014-02-27 23:23:07 +0000
@@ -0,0 +1,17 @@
+<?xml version='1.0' encoding='utf-8'?>
+<openerp>
+    <data>
+
+        <record id="view_cancel_payslip_form" model="ir.ui.view">
+                <field name="name">view.cancel.payslip.form</field>
+                <field name="model">hr.payslip</field>     
+                <field name="inherit_id" ref="hr_payroll.view_hr_payslip_form"/>
+                <field name="arch" type="xml">
+                    <xpath expr="//button[@string='Cancel Payslip']" position="attributes">
+                        <attribute name="states">draft,hr_check,confirm,verify,done</attribute>
+                    </xpath>
+                </field>
+        </record>
+
+    </data>
+</openerp>

=== added file 'hr_payroll_cancel/hr_payslip_workflow.xml'
--- hr_payroll_cancel/hr_payslip_workflow.xml	1970-01-01 00:00:00 +0000
+++ hr_payroll_cancel/hr_payslip_workflow.xml	2014-02-27 23:23:07 +0000
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+        <record id="hr_payroll.act_done" model="workflow.activity">
+            <field name="wkf_id" ref="hr_payroll.wkf"/>
+            <field name="name">done</field>
+            <field name="action">process_sheet()</field>
+            <field name="kind">function</field>
+            <field name="flow_stop"></field>
+        </record>
+        
+        <record id="workflow_transition_act_done_to_act_cancel" model="workflow.transition">
+            <field name="signal">cancel_sheet</field>
+            <field model="workflow.activity" name="act_from" ref="hr_payroll.act_done"/>
+            <field model="workflow.activity" name="act_to" ref="hr_payroll.act_cancel"/>
+            <field name="condition">True</field>
+        </record>
+        
+    </data>
+</openerp>

